Please sync silo-llnl 4.8-4 (universe) from debian unstable (main)

Bug #803197 reported by Stefano Rivera on 2011-06-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
silo-llnl (Ubuntu)
Medium
Unassigned

Bug Description

silo-llnl version 4.8-3 failed to build on i386
Link to failed build: https://launchpad.net/ubuntu/+source/silo-llnl/4.8-3/+build/2480829

Direct link to the build log: https://launchpad.net/ubuntu/+source/silo-llnl/4.8-3/+build/2480829/+files/buildlog_ubuntu-oneiric-i386.silo-llnl_4.8-3_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 5590 lines into the build log:

   Subject: [silo 4.8] testsuite: 41 failed

You may investigate any problem if you feel able to do so, in which
case the test suite provides a good starting point. Its output may
be found below `tests/testsuite.dir'.

make[3]: *** [check-local] Error 1
make[3]: Leaving directory `/build/buildd/silo-llnl-4.8/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/build/buildd/silo-llnl-4.8/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/build/buildd/silo-llnl-4.8'
dh_auto_test: make -j1 check returned exit code 2
make: *** [build] Error 29
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20110504-1536
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/silo-llnl-4.8

Changed in silo-llnl (Ubuntu):
importance: Undecided → Medium
Jean-Louis Dupond (dupondje) wrote :

We can sync this for fix the FTBFS.

silo-llnl (4.8-4) unstable; urgency=low

   * Add dependency on python-all-dev for extensions. Closes: #628820.
   * Check for errors in debian/rules with 'set -e'. Closes: #628818.
   * Disable python-write test that fails on python2.7. forwrd upstream.
     (note: it appears the code didn't work as planned on 2.6;
     hence allow as exists rather than disable python2.7).
   * Python2.7 enables HDF5 tests: disable SZIP test,
      as Debian does not have SZIP for licensing reasons.
   * Disable HDF5 largefile test (test fails on rounding error using floats)

 -- Alastair McKinstry <email address hidden> Sun, 03 Jul 2011 20:14:51 +0100

summary: - silo-llnl version 4.8-3 failed to build on i386
+ Please sync silo-llnl 4.8-4 (universe) from debian unstable (main)
Benjamin Drung (bdrung) on 2011-07-21
Changed in silo-llnl (Ubuntu):
assignee: nobody → Benjamin Drung (bdrung)
status: New → In Progress

silo-llnl 4.8-4 builds on amd64. Sync request ACK'd.

Changed in silo-llnl (Ubuntu):
assignee: Benjamin Drung (bdrung) → nobody
status: In Progress → Confirmed
Colin Watson (cjwatson) wrote :

2011-07-25 10:38:07 INFO silo-llnl_4.8.orig.tar.gz: already in distro - downloading from librarian
[Updating] silo-llnl (4.8-3 [Ubuntu] < 4.8-4 [Debian])
 * Trying to add silo-llnl...
2011-07-25 10:38:09 INFO - <silo-llnl_4.8-4.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-07-25 10:38:09 INFO - <silo-llnl_4.8-4.dsc: downloading from http://ftp.debian.org/debian/>
2011-07-25 10:38:09 INFO - <silo-llnl_4.8.orig.tar.gz: cached>

Changed in silo-llnl (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers